#
# spec file for package golang-github-russross-blackfriday
#
# Copyright (c) 2015 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-github-russross-blackfriday
Version:        1.2.0+git20150720.8cec3a8
Release:        7.1
Summary:        Markdown processor implemented in Go
License:        BSD-2-Clause
Group:          Development/Languages/Other
URL:            https://github.com/russross/blackfriday
Source:         blackfriday-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  golang-packaging
BuildRequires:	golang(github.com/shurcooL/sanitized_anchor_name)
BuildRequires:  findutils
BuildRequires:  sed
Provides:	go-blackfriday = %{version}
Obsoletes:	go-blackfriday < %{version}
%{go_provides}

%description
Blackfriday is a Markdown processor implemented in Go. It is paranoid about its input (so you can safely feed it user-supplied data), it is fast, it supports common extensions (tables, smart punctuation substitutions, etc.), and it is safe for all utf-8 (unicode) input.

HTML output is currently supported, along with Smartypants extensions. An experimental LaTeX output engine is also included.

%gosrc_package

%prep
%setup -q -n blackfriday-%{version}

%build
%goprep github.com/russross/blackfriday
%gobuild ...

%install
%goinstall
%gosrc

%check
%gotest github.com/russross/blackfriday

%files
%defattr(-,root,root,-)
%doc README.md
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Tue Jul 28 2015 i@marguerite.su
- rename to golang-github-russross-blackfriday
- update version 1.2.0+git20150720.8cec3a8
- use golang-packaging for packaging
* Wed May 27 2015 dmacvicar@suse.de
- initial package for version 1.2
